Bug 1889872 - installer error when ovirt provider selected
Summary: installer error when ovirt provider selected
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.5
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: OCP on RHV Team
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 18:45 UTC by sergey.smirnov@ru.ibm.com
Modified: 2020-11-05 08:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-05 08:19:48 UTC
Target Upstream Version:


Attachments (Terms of Use)
installer error rhv ipi (155.03 KB, image/png)
2020-10-20 18:45 UTC, sergey.smirnov@ru.ibm.com
no flags Details

Description sergey.smirnov@ru.ibm.com 2020-10-20 18:45:19 UTC
Created attachment 1722958 [details]
installer error rhv ipi

quite unusual installer behavior appeared on rhel8 env (previously used on rhel7) - empty dir, latest 4.5 installer, going to make install-config for RHV/oVirt provider - 

$ ./openshift-install version
./openshift-install 4.5.15
built from commit 9893a482f310ee72089872f1a4caea3dbec34f28
release image quay.io/openshift-release-dev/ocp-release@sha256:1df294ebe5b84f0eeceaa85b2162862c390143f5e84cda5acc22cc4529273c4c

$ ./openshift-install create install-config
? SSH Public Key /home/green/.ssh/id_rsa.pub
? Platform ovirt
FATAL failed to fetch Install Config: failed to fetch dependency of "Install Config": failed to fetch dependency of "Base Domain": failed to generate asset "Platform": Tag not matched: expect <fault> but got <html>


Platform:

Red Hat Enterprise Linux release 8.2 (Ootpa)

Comment 1 Evgeny Slutsky 2020-10-22 08:58:59 UTC
Hi,
does this happen on the first installation attempt?

can you check if you have this cache file  `~/.ovirt/ovirt-config.yaml`? (it saves the oVirt login info)

Comment 2 Sandro Bonazzola 2020-10-22 11:27:02 UTC
due to capacity constraints we will be revisiting this bug in the upcoming sprint

Comment 3 sergey.smirnov@ru.ibm.com 2020-10-31 20:32:36 UTC
hello gents,

the issue was if you make an unsuccessful input to the first password request from installer - 

the ~/.ovirt/ovirt-config.yaml would contain an empty "ovirt_password" field so installer will fail every next time and it never asks to enter it again.


It would be great if the installer would check for existing ovirt-config.yaml and warn if something went wrong but not fail:)

thank you

Comment 4 Gal Zaidman 2020-11-05 08:19:48 UTC
Because this is an enhancement I opened a Jira issue to track it internally. Closing this bug for now


Note You need to log in before you can comment on or make changes to this bug.